it-swarm.com.de

Fehler beim Installieren von Paketen in RStudio: Fehler beim Lesen von Verbindung

Ich habe vor kurzem sowohl R (Version 3.4.1) als auch RStudio (Version 1.0.143) aktualisiert und kann jetzt keine Pakete von Rstudio installieren.

Wenn ich ein Paket in R direkt mit install.packages() installiere, funktioniert es einwandfrei.

Wenn ich versuche, ein Paket in Rstudio zu installieren und entweder install.packages() oder das Paketinstallationsmenü zu verwenden, erhalte ich den folgenden Fehler. Ich habe einige verschiedene Pakete ausprobiert und sowohl R als auch RStudio deinstalliert und neu installiert.

Um den Fehler zu erhalten:

Lauf:

install.packages("lme4")

Ausgabe:

Installing package into ‘E:/Documents/R/win-library/3.4’
(as ‘lib’ is unspecified)
also installing the dependencies ‘minqa’, ‘nloptr’, ‘RcppEigen’

Warning in install.packages :
lzma decoding result 10
Error in install.packages : error reading from connection

Ich arbeite gerade an meinem PC, unten sind einige Systeminformationen:

Ausgabe von options("repos")

$repos
                        CRAN                            CRANextra 
 "https://cran.stat.auckland.ac.nz/" "http://www.stats.ox.ac.uk/pub/RWin" 
 attr(,"RStudio")
[1] TRUE

Ausgabe von sessionInfo()

R version 3.4.1 (2017-06-30)
Platform: x86_64-w64-mingw32/x64 (64-bit)
Running under: Windows >= 8 x64 (build 9200)

Matrix products: default

locale:
[1] LC_COLLATE=English_New Zealand.1252  LC_CTYPE=English_New Zealand.1252    
LC_MONETARY=English_New Zealand.1252
[4] LC_NUMERIC=C                         LC_TIME=English_New Zealand.1252    


attached base packages:
[1] stats     graphics  grDevices utils     datasets  methods   base     

loaded via a namespace (and not attached):
[1] compiler_3.4.1 tools_3.4.1   
11
flee

Dies ist sicherlich ein Problem bei Ihrer Verbindung: Die verwendeten Proxys und die in Ihrem RStudio konfigurierten Repositorys. Ich erhielt die gleiche Fehlermeldung, als ich aus Indien mit dem US-VPN verbunden wurde. Ich habe die Verbindung zu VPN getrennt und RStudio neu gestartet, und es hat wie ein Zauber funktioniert!

5
Yogesh

Ich hatte das gleiche Problem, als ich versuchte, Caret zu installieren.

Die beste Lösung ist, R Studio neu zu starten.

Nun funktioniert install.packages () gut.

4
John Doe

Starten Sie einfach das R-Studio neu und es funktioniert für mich. 

3
Rashid Kamal

Wählen Sie den entsprechenden CRAN-Spiegel in R Studio durch folgende Option aus: Werkzeuge >>> Pakete >>> CRAN-Spiegel (Wählen Sie den geeigneten CRAN je nach Standort aus).

0
Pramod Parab

Eine einfache Lösung wäre, den ZIP-Ordner des Pakets manuell herunterzuladen und mit dem folgenden Befehl zu installieren: Install.packages ('package.Zip', lib = 'destination_directory', repos = NULL)

  • Paket-Zip: Der Pfad zur Zip-Datei des Pakets 
  • Zielverzeichnis: Hier werden die Pakete standardmäßig installiert wie C: /Users/unknown/Documents/R/win-library/3.3

Ich hoffe es hilft 

0
mohamed dhaoui